
From: Pavel Machek <pavel@suse.cz>

This fixes u32 vs. pm_message_t confusion in MMC layer.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mmc/mmc_block.c  |    2 +-
 25-akpm/drivers/mmc/mmc_sysfs.c  |    2 +-
 25-akpm/include/linux/mmc/card.h |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/mmc/mmc_block.c~fix-u32-vs-pm_message_t-confusion-in-mmc drivers/mmc/mmc_block.c
--- 25/drivers/mmc/mmc_block.c~fix-u32-vs-pm_message_t-confusion-in-mmc	2005-03-18 16:16:03.000000000 -0800
+++ 25-akpm/drivers/mmc/mmc_block.c	2005-03-18 16:16:03.000000000 -0800
@@ -437,7 +437,7 @@ static void mmc_blk_remove(struct mmc_ca
 }
 
 #ifdef CONFIG_PM
-static int mmc_blk_suspend(struct mmc_card *card, u32 state)
+static int mmc_blk_suspend(struct mmc_card *card, pm_message_t state)
 {
 	struct mmc_blk_data *md = mmc_get_drvdata(card);
 
diff -puN drivers/mmc/mmc_sysfs.c~fix-u32-vs-pm_message_t-confusion-in-mmc drivers/mmc/mmc_sysfs.c
--- 25/drivers/mmc/mmc_sysfs.c~fix-u32-vs-pm_message_t-confusion-in-mmc	2005-03-18 16:16:03.000000000 -0800
+++ 25-akpm/drivers/mmc/mmc_sysfs.c	2005-03-18 16:16:03.000000000 -0800
@@ -109,7 +109,7 @@ mmc_bus_hotplug(struct device *dev, char
 	return 0;
 }
 
-static int mmc_bus_suspend(struct device *dev, u32 state)
+static int mmc_bus_suspend(struct device *dev, pm_message_t state)
 {
 	struct mmc_driver *drv = to_mmc_driver(dev->driver);
 	struct mmc_card *card = dev_to_mmc_card(dev);
diff -puN include/linux/mmc/card.h~fix-u32-vs-pm_message_t-confusion-in-mmc include/linux/mmc/card.h
--- 25/include/linux/mmc/card.h~fix-u32-vs-pm_message_t-confusion-in-mmc	2005-03-18 16:16:03.000000000 -0800
+++ 25-akpm/include/linux/mmc/card.h	2005-03-18 16:16:03.000000000 -0800
@@ -75,7 +75,7 @@ struct mmc_driver {
 	struct device_driver drv;
 	int (*probe)(struct mmc_card *);
 	void (*remove)(struct mmc_card *);
-	int (*suspend)(struct mmc_card *, u32);
+	int (*suspend)(struct mmc_card *, pm_message_t);
 	int (*resume)(struct mmc_card *);
 };
 
_
